Skip to main content
GET
/
v2
/
users
/
{userId}
/
verify
/
status
Get Verification Status
curl --request GET \
  --url https://api.stablepay.global/v2/users/{userId}/verify/status \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "mobile": {
      "number": "+91987****10",
      "verified": true,
      "verifiedAt": "2025-06-15T10:30:00.000Z"
    },
    "email": {
      "address": "ra****@example.com",
      "verified": false,
      "verifiedAt": null
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.stablepay.global/llms.txt

Use this file to discover all available pages before exploring further.

Get Verification Status

Returns the current verification status for the user’s mobile number and email address.
userId
string
required
The unique user ID

Request

curl -X GET https://api.stablepay.global/v2/users/usr_abc123/verify/status \
  -H "Authorization: Bearer YOUR_API_KEY"

Response

{
  "success": true,
  "data": {
    "mobile": {
      "number": "+91987****10",
      "verified": true,
      "verifiedAt": "2025-06-15T10:30:00.000Z"
    },
    "email": {
      "address": "ra****@example.com",
      "verified": false,
      "verifiedAt": null
    }
  }
}
  • email will be null if the user has no email address on file
  • Both mobile and email verification are independent

Errors

CodeDescription
Not FoundUser not found
{
  "success": true,
  "data": {
    "mobile": {
      "number": "+91987****10",
      "verified": true,
      "verifiedAt": "2025-06-15T10:30:00.000Z"
    },
    "email": {
      "address": "ra****@example.com",
      "verified": false,
      "verifiedAt": null
    }
  }
}